## frescobaldi 0.7.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
project(frescobaldi)
set(VERSION "0.7.13")

option(HANDBOOK "Install Frescobaldi User Guide" ON)

# Find our own modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# some Python macros
include(Python)

# Check if all required Python modules are present by running checkmodules.py
python_test_script(${CMAKE_SOURCE_DIR}/checkmodules.py)

 # Where to install stuff, in separate module
include(FindKDEInstallDirs)

# Do not rebuild our MO's and icons if the build rules were changed.
# Makes releasing prebuilt tarballs possible.
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

# Set some install directories
set(APP_DIR ${DATA_INSTALL_DIR}/${PROJECT_NAME})
set(MODULE_DIR ${APP_DIR}/lib)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/frescobaldi.py
               ${CMAKE_CURRENT_BINARY_DIR}/frescobaldi @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/frescobaldi DESTINATION ${BIN_INSTALL_DIR})

add_subdirectory(python)
add_subdirectory(data)
add_subdirectory(pics)
add_subdirectory(po)
if(HANDBOOK)
  add_subdirectory(doc)
endif(HANDBOOK)

install(DIRECTORY 
        rumor
        icons
        DESTINATION ${APP_DIR}
        PATTERN .* EXCLUDE)

=== data/CMakeLists.txt ===
# Menu entry
install(FILES frescobaldi.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# UI configuration
install(FILES frescobaldiui.rc expansions DESTINATION ${APP_DIR})

# Appicon
install(
    FILES frescobaldi-lily.svgz
    DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps
    RENAME frescobaldi.svgz
)

=== doc/CMakeLists.txt ===
# mostly taken from KDE4Macros.cmake

find_program(KDE4_MEINPROC_EXECUTABLE NAME meinproc4 PATHS ${KDE4_BIN_INSTALL_DIR} NO_DEFAULT_PATH)
find_program(KDE4_MEINPROC_EXECUTABLE NAME meinproc4)

macro(create_handbook _docbook)
  get_filename_component(_input ${_docbook} ABSOLUTE)
  set(_doc ${CMAKE_CURRENT_BINARY_DIR}/index.cache.bz2)
  
  # style sheet
  set(_ssheet ${KDE4_DATA_INSTALL_DIR}/ksgmltools2/customization/kde-chunk.xsl)

  # all docbook files
  file(GLOB _docs *.docbook)
  add_custom_command(
    OUTPUT ${_doc}
    COMMAND ${KDE4_MEINPROC_EXECUTABLE} --check --cache ${_doc} ${_input}
    DEPENDS ${_docs} ${_ssheet}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )

  get_filename_component(_targ ${CMAKE_CURRENT_SOURCE_DIR} NAME)
  set(_targ "${_targ}-handbook")
  add_custom_target(${_targ} ALL DEPENDS ${_doc})

#   set(_htmlDoc ${CMAKE_CURRENT_SOURCE_DIR}/index.html)
#   add_custom_command(OUTPUT ${_htmlDoc}
#     COMMAND ${KDE4_MEINPROC_EXECUTABLE} --check -o ${_htmlDoc} ${_input}
#     DEPENDS ${_input} ${_ssheet}
#     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
#   )
#   add_custom_target(htmlhandbook ALL DEPENDS ${_htmlDoc})

  set(_args ${ARGN})

  set(_installDest)
  if(_args)
    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "INSTALL_DESTINATION")
      list(GET _args 1 _installDest )
      list(REMOVE_AT _args 0 1)
    endif("${_tmp}" STREQUAL "INSTALL_DESTINATION")
  endif(_args)

  get_filename_component(dirname ${CMAKE_CURRENT_SOURCE_DIR} NAME_WE)
  if(_args)
    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "SUBDIR")
      list(GET _args 1 dirname )
      list(REMOVE_AT _args 0 1)
    endif("${_tmp}" STREQUAL "SUBDIR")
  endif(_args)

  if(_installDest)
    file(GLOB _images *.png)
    install(FILES ${_doc} ${_docs} ${_images} DESTINATION ${_installDest}/${dirname})
    # TODO symlinks on non-unix platforms
    if (UNIX)
      # execute some cmake code on make install which creates the symlink
      install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${_installDest}/common\"  \"\$ENV{DESTDIR}${_installDest}/${dirname}/common\" )" )
    endif (UNIX)
  endif(_installDest)

endmacro(create_handbook)


create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR ${PROJECT_NAME})

=== pics/CMakeLists.txt ===
# Generate PNGs from LilyPond files

# keep a list of all pngs for adding them to our target
set(all_pngs)

# find out which local files a LilyPond file includes
macro(lilypond_deps _varname _lyfile)
  set(_deps)
  file(READ ${_lyfile} _contents)
  string(REGEX MATCHALL "\\\\include *\"[^\"]+\"" _includes ${_contents})
  foreach(_incl ${_includes})
    string(REGEX REPLACE "[^\"]*\"([^\"]*)\".*" "\\1" _incl ${_incl})
    if(_incl)
      set(_dep ${CMAKE_CURRENT_SOURCE_DIR}/${_incl})
      if(EXISTS ${_dep})
	list(APPEND _deps ${_dep})
      endif(EXISTS ${_dep})
    endif(_incl)
  endforeach(_incl ${_includes})
  set(${_varname} ${_deps})
endmacro(lilypond_deps)


# convert a ly file to a PNG icon 22x22 pix.
macro(lilypond_png_icon _lyfile)
  lilypond_deps(_deps ${_lyfile})
  get_filename_component(_base ${_lyfile} NAME_WE)
  set(_outp "${CMAKE_CURRENT_BINARY_DIR}/${_base}.png")
  add_custom_command(
    OUTPUT ${_outp}
    DEPENDS ${_deps}
    COMMAND lilypond 
        -ddelete-intermediate-files
        --png -dpixmap-format=pngalpha
        -o "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}"
        "${_lyfile}"
    COMMAND convert
        "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
        -trim
        -bordercolor transparent -border 20
        +repage
        -gravity Center -crop 22x22+0+0
        +repage
        "${_outp}"
    COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
    VERBATIM
  )
  list(APPEND all_pngs ${_outp})
endmacro(lilypond_png_icon)

# convert a ly file to a PNG image with a 3px border.
macro(lilypond_png_image _lyfile_arg)
  set(_lyfile ${_lyfile_arg})
  if(NOT IS_ABSOLUTE ${_lyfile_arg})
    set(_lyfile "${CMAKE_CURRENT_SOURCE_DIR}/${_lyfile_arg}")
  endif(NOT IS_ABSOLUTE ${_lyfile_arg})
  lilypond_deps(_deps ${_lyfile})
  get_filename_component(_base ${_lyfile} NAME_WE)
  set(_outp "${CMAKE_CURRENT_BINARY_DIR}/${_base}.png")
  add_custom_command(
    OUTPUT ${_outp}
    DEPENDS ${_deps}
    COMMAND lilypond 
        -ddelete-intermediate-files
        --png -dpixmap-format=pngalpha
        -o "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}"
        "${_lyfile}"
    COMMAND convert
        "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
        -trim
        -bordercolor transparent -border 3
        +repage
        "${_outp}"
    COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
    VERBATIM
  )
  list(APPEND all_pngs ${_outp})
endmacro(lilypond_png_image)


# Make icons for articulations and notes etc.
file(GLOB lilypond_files articulation_*.ly note_*.ly time_*.ly)
foreach(_ly ${lilypond_files})
  lilypond_png_icon(${_ly})
endforeach(_ly ${lilypond_files})

# Make misc. other images
lilypond_png_image(scorewiz.ly)

# Build and install all LilyPond-generaged pictures
add_custom_target(lilypond_pngs ALL DEPENDS ${all_pngs})
install(FILES ${all_pngs} DESTINATION ${APP_DIR}/pics)

## frescobaldi 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 2.4)
-project(frescobaldi)
-set(VERSION "0.7.13")
+project(frescobaldi NONE)
+set(VERSION "1.0.2")
 
 option(HANDBOOK "Install Frescobaldi User Guide" ON)
+option(BYTECOMPILE "Byte-compile Python modules on install" ON)
 
 # Find our own modules
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 install(FILES frescobaldi.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 # UI configuration
-install(FILES frescobaldiui.rc expansions DESTINATION ${APP_DIR})
+install(FILES frescobaldiui.rc expansions lilydoc.css DESTINATION ${APP_DIR})
 
 # Appicon
 install(

=== doc/CMakeLists.txt ===
# CMake file for installing docbook files for the KDE Helpcenter

find_program(KDE4_MEINPROC_EXECUTABLE NAMES meinproc4 PATHS ${KDE4_BIN_INSTALL_DIR} NO_DEFAULT_PATH)
find_program(KDE4_MEINPROC_EXECUTABLE NAMES meinproc4)

find_file(KDE4_XSL_STYLESHEET NAMES kde-chunk.xsl PATHS ${KDE4_DATA_INSTALL_DIR}/ksgmltools2/customization NO_DEFAULT_PATH)

# This macro can install docbook files and images from the current directory to the
# correct location for KDE Helpcenter files.  If meinproc and the stylesheets are available,
# a index.cache.bz2 is generated so the Helpcenter doesn't have to generate one per user.
macro(create_handbook _docbook _language)
  
  # determine install dir
  if(NOT _language)
    set(_lang "en")
  else(NOT _language)
    set(_lang ${_language})
  endif(NOT _language)
  set(_installdir "${HTML_INSTALL_DIR}/${_lang}/${PROJECT_NAME}")
  
  # docbook source files
  file(GLOB _docbooks *.docbook)

  # images
  file(GLOB _images *.png)

  # install those directly
  install(FILES ${_docbooks} ${_images} DESTINATION ${_installdir})
  
  # make the ../common symlink
  install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../common \"\$ENV{DESTDIR}${_installdir}/common\" )")
  
  # if meinproc and the default style sheets are found, install a cached help file
  if(KDE4_MEINPROC_EXECUTABLE AND KDE4_XSL_STYLESHEET)
    get_filename_component(_input ${_docbook} ABSOLUTE)
    set(_cache ${CMAKE_CURRENT_BINARY_DIR}/index.cache.bz2)
    add_custom_command(
      OUTPUT ${_cache}
      COMMAND ${KDE4_MEINPROC_EXECUTABLE} --check --cache ${_cache} ${_input}
      DEPENDS ${_docbooks}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
    get_filename_component(_targ ${CMAKE_CURRENT_SOURCE_DIR} NAME)
    set(_targ "${_targ}-cache")
    add_custom_target(${_targ} ALL DEPENDS ${_cache})
    install(FILES ${_cache} DESTINATION  ${_installdir})
  else(KDE4_MEINPROC_EXECUTABLE AND KDE4_XSL_STYLESHEET)
    message(STATUS "The help cache index.cache.bz2 will not be generated:")
    if(NOT KDE4_MEINPROC_EXECUTABLE)
      message(STATUS "*** meinproc4 could not be found.")
    endif(NOT KDE4_MEINPROC_EXECUTABLE)
    if(NOT KDE4_XSL_STYLESHEET)
      message(STATUS "*** The KDE XSL StyleSheets could not be found.")
    endif(NOT KDE4_XSL_STYLESHEET)
  endif(KDE4_MEINPROC_EXECUTABLE AND KDE4_XSL_STYLESHEET)
endmacro(create_handbook)


create_handbook(index.docbook en)

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # find out which local files a LilyPond file includes
 macro(lilypond_deps _varname _lyfile)
-  set(_deps)
+  set(_deps ${_lyfile})
   file(READ ${_lyfile} _contents)
   string(REGEX MATCHALL "\\\\include *\"[^\"]+\"" _includes ${_contents})
   foreach(_incl ${_includes})
@@ -21,8 +21,8 @@
 endmacro(lilypond_deps)
 
 
-# convert a ly file to a PNG icon 22x22 pix.
-macro(lilypond_png_icon _lyfile)
+# convert a ly file to a PNG icon (e.g. 22x22) pix.
+macro(lilypond_png_icon _lyfile _size)
   lilypond_deps(_deps ${_lyfile})
   get_filename_component(_base ${_lyfile} NAME_WE)
   set(_outp "${CMAKE_CURRENT_BINARY_DIR}/${_base}.png")
@@ -37,9 +37,9 @@
     COMMAND convert
         "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
         -trim
-        -bordercolor transparent -border 20
+        -bordercolor transparent -border ${_size}
         +repage
-        -gravity Center -crop 22x22+0+0
+        -gravity Center -crop "${_size}x${_size}+0+0"
         +repage
         "${_outp}"
     COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
@@ -78,14 +78,23 @@
 endmacro(lilypond_png_image)
 
 
-# Make icons for articulations and notes etc.
-file(GLOB lilypond_files articulation_*.ly note_*.ly time_*.ly)
+# Make icons for articulations and notes etc. at 22px
+file(GLOB lilypond_files articulation_*.ly note_*.ly time_*.ly bar_*.ly)
 foreach(_ly ${lilypond_files})
-  lilypond_png_icon(${_ly})
+  lilypond_png_icon(${_ly} 22)
 endforeach(_ly ${lilypond_files})
 
-# Make misc. other images
-lilypond_png_image(scorewiz.ly)
+# Clefs, etc at 48px
+file(GLOB lilypond_files clef_*.ly system_*.ly)
+foreach(_ly ${lilypond_files})
+  lilypond_png_icon(${_ly} 48)
+endforeach(_ly ${lilypond_files})
+
+# Make misc. larger images
+file(GLOB lilypond_files scorewiz.ly)
+foreach(_ly ${lilypond_files})
+  lilypond_png_image(${_ly})
+endforeach(_ly ${lilypond_files})
 
 # Build and install all LilyPond-generaged pictures
 add_custom_target(lilypond_pngs ALL DEPENDS ${all_pngs})

## frescobaldi 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.4)
 project(frescobaldi NONE)
-set(VERSION "1.0.2")
+set(VERSION "1.1.4")
 
 option(HANDBOOK "Install Frescobaldi User Guide" ON)
 option(BYTECOMPILE "Byte-compile Python modules on install" ON)
@@ -31,8 +31,14 @@
 
 add_subdirectory(python)
 add_subdirectory(data)
-add_subdirectory(pics)
-add_subdirectory(po)
+
+if(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+  add_subdirectory(prebuilt)
+else(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+  add_subdirectory(pics)
+  add_subdirectory(po)
+endif(EXISTS ${CMAKE_SOURCE_DIR}/prebuilt)
+
 if(HANDBOOK)
   add_subdirectory(doc)
 endif(HANDBOOK)

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # Generate PNGs from LilyPond files
+
+find_program(LILYPOND_EXECUTABLE NAMES lilypond)
+find_program(CONVERT_EXECUTABLE NAMES convert)
 
 # keep a list of all pngs for adding them to our target
 set(all_pngs)
@@ -29,12 +32,12 @@
   add_custom_command(
     OUTPUT ${_outp}
     DEPENDS ${_deps}
-    COMMAND lilypond 
+    COMMAND ${LILYPOND_EXECUTABLE}
         -ddelete-intermediate-files
         --png -dpixmap-format=pngalpha
         -o "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}"
         "${_lyfile}"
-    COMMAND convert
+    COMMAND ${CONVERT_EXECUTABLE}
         "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
         -trim
         -bordercolor transparent -border ${_size}

=== po/CMakeLists.txt ===
# Translations

find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

file(GLOB _po_files *.po)
set(_mo_files)
foreach(_po ${_po_files})
  get_filename_component(_lang ${_po} NAME_WE)
  set(_mo ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.mo)
  add_custom_command(
    OUTPUT ${_mo}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -v -o ${_mo} ${_po}
    DEPENDS ${_po}
    COMMENT "Creating MO file for language ${_lang}:"
  )
  install(
    FILES ${_mo}
    DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES
    RENAME ${PROJECT_NAME}.mo
  )
  list(APPEND _mo_files ${_mo})
endforeach(_po)
add_custom_target(translations ALL DEPENDS ${_mo_files})

=== python/CMakeLists.txt ===
python_install_directory(${MODULE_DIR})

=== debian/changelog ===
frescobaldi (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Use the simple feed for google code in the watch file. Depends on a patch
    for uscan which will hopefully get uploaded to Debian in the near future.
  * Switch to source format 3.0 (quilt)
  * Drop README.source for quilt, it's no longer needed under source format
    3.0 (quilt)
  * Drop quilt from the B-D 
  * Updated copyright with new holders / years
  * Ditch CDBS for dh
  * Update 01_checkmodules_no_python-kde4_build-dep.diff for new
    checkmodules.py 
  * Don't install .pyc files. Thiss used to be done in debian/rules. Now done
    with 02_no_pyc.diff . 
  * Frescobaldi no longer appears to segfault at start (Closes: #558228)
  * Frescobaldi is now installable with the current python-kde4
    (Closes: #570847)
  * Bump to standards version 3.9.1, no changes required 

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Aug 2010 10:08:01 -0400

frescobaldi (1.0.2-2) unstable; urgency=low

  * Added lilypond-doc as a suggests 
  * Added an entry to README.Debian concerning setting the LilyPond
    documentation path in Frescobaldi.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 15 Mar 2010 21:15:34 -0400

frescobaldi (1.0.2-1) unstable; urgency=low

  * New upstream release, fixes issues with KDE 4.4 and SIP 4.10.
  * Bumped to standards version 3.8.4

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 20 Feb 2010 08:31:25 -0500

frescobaldi (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 17 Jan 2010 08:54:24 -0500

frescobaldi (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Updated the long description with new features

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 Dec 2009 15:21:28 -0500

frescobaldi (0.7.17-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 29 Nov 2009 08:31:56 -0500

frescobaldi (0.7.16-1) unstable; urgency=low

  * New upstream release
  * Update the copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 15 Nov 2009 18:22:07 -0500

frescobaldi (0.7.15-1) unstable; urgency=low

  * New upstream release
  * Update README.Debian now that rumor is in the archives
  * Update copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Nov 2009 20:25:12 +0100

frescobaldi (0.7.13-3) unstable; urgency=low

  * Switched out kdebase for kdebase-bin as a depends since both work and
    kdebase-bin is smaller 

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 29 Aug 2009 15:43:34 -0400

frescobaldi (0.7.13-2) unstable; urgency=low

  * Added python-qt4-dbus as a depends (Closes: #543205) 
  * Tidied up the long description, added a few of the new "main" features to
    it as well. (Closes: #543142)
  * Now using standards 3.8.3

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 28 Aug 2009 17:00:47 -0400

frescobaldi (0.7.13-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file
  * Added a README.source as per Debian Policy Manual 3.8.2.0 section 4.14
  * Section now editors
  * Drop CMakeLists.txt from the docs
  * Fix the menu file
  * Don't ship the .pyc files in the .deb

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 11 Aug 2009 17:52:14 -0400

frescobaldi (0.7.11-1) unstable; urgency=low

  * Initial release (Closes: #511794)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 21 Jun 2009 21:32:49 -0400

=== debian/control ===
Source: frescobaldi
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python (>= 2.5), python-support (>= 0.8.7), 
 python-qt4 (>= 4.4.4), python-sip4 (>= 4.7.9), python-dbus, 
 python-kde4-dev (>= 4:4.2.2), python-qt4-dbus, lilypond, 
 ghostscript, imagemagick, kdelibs-bin (>= 4:4.2.2), cmake
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
XS-Python-Version: >= 2.5
Homepage: http://www.frescobaldi.org/

Package: frescobaldi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-qt4, python-kde4 (>= 4:4.0.2), 
 python-dbus, lilypond, okular, kdebase-bin (>= 4.2.1), kdelibs5 (>= 4.2.1), 
 python-qt4-dbus
Suggests: rumor, timidity, alsa-utils, lilypond-doc
Description: LilyPond sheet music editor for KDE4
 Frescobaldi is a LilyPond sheet music editor for KDE4, with the following
 features:
  * Enter LilyPond scores, then build and preview them with a mouseclick
  * Point-and-click support: click on notes or on error messages to jump to the
    corresponding position in the LilyPond file
  * A Score Setup Wizard that helps you to quickly setup a LilyPond score,
    generating LilyPond input in a very human-like way
  * Blank staff paper generator
  * Syntax coloring that also signals some often made mistakes
  * Snippet manager to enter lilypond snippets using keystrokes or mnemonics
  * Context sensitive autocompletion, helping you to enter LilyPond commands
  * Hyphenate lyrics using wordprocessor hyphenation dictionaries
  * Powerful functions to manipulate pitches: translate music from one pitch
    language to another, transpose music (both relative and absolute) and
    perform conversion between relative and absolute music expressions (all
    these functions also work on selected fragments of music)
  * Tools to change the rhythm of already entered music (extract, paste rhythm,
    apply a rhythm repetitively to entered pitches, double, halve or scale, etc)
  * A powerful Rumor plugin, using the Rumor program to quickly enter music by 
    playing it on a MIDI keyboard or even your computer keyboard
  * LilyPond documentation browser with context sensitive lookup
  * User Guide with help buttons (F1) everywhere
  * Translated into Dutch, English, French, German, Italian, Czech, Russian,
    Spanish, Turkish and Polish
 .
 Frescobaldi is the KDE4 successor of LilyKDE, a Kate plugin for KDE3.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=downloadurlmangle=s#.*name=(frescobaldi-(.*)\.tar\.gz).*#http://lilykde.googlecode.com/files/$1#,filenamemangle=s#.*(frescobaldi-(.*)\.tar\.gz).*#$1# \
     http://code.google.com/feeds/p/lilykde/downloads/basic \
     http://code.google.com/p/lilykde/downloads/detail\?name=frescobaldi-(.*)\.tar\.gz

## frescobaldi 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 2.4)
 project(frescobaldi NONE)
-set(VERSION "1.1.4")
+set(VERSION "1.2.0")
 
 option(HANDBOOK "Install Frescobaldi User Guide" ON)
 option(BYTECOMPILE "Byte-compile Python modules on install" ON)
+option(CHECKMODULES "Check presence and versions of required Python modules" ON)
 
 # Find our own modules
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
@@ -11,8 +12,13 @@
 # some Python macros
 include(Python)
 
+# uninstall target
+include(uninstall)
+
 # Check if all required Python modules are present by running checkmodules.py
-python_test_script(${CMAKE_SOURCE_DIR}/checkmodules.py)
+if(CHECKMODULES)
+  python_test_script(${CMAKE_SOURCE_DIR}/checkmodules.py)
+endif(CHECKMODULES)
 
  # Where to install stuff, in separate module
 include(FindKDEInstallDirs)
@@ -46,5 +52,6 @@
 install(DIRECTORY 
         rumor
         icons
+        css
         DESTINATION ${APP_DIR}
         PATTERN .* EXCLUDE)

=== data/CMakeLists.txt ===
# Menu entry
install(
    FILES frescobaldi.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

# Appicon
install(
    FILES frescobaldi-lily.svg
    DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps
    RENAME frescobaldi.svg
)

# Default config file
install(
    FILES frescobaldirc
    DESTINATION ${CONFIG_INSTALL_DIR}
)

# UI configuration, etc
install(
    FILES frescobaldiui.rc expansions frescobaldi.notifyrc
    DESTINATION ${APP_DIR}
)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,16 @@
 find_program(KDE4_MEINPROC_EXECUTABLE NAMES meinproc4)
 
 find_file(KDE4_XSL_STYLESHEET NAMES kde-chunk.xsl PATHS ${KDE4_DATA_INSTALL_DIR}/ksgmltools2/customization NO_DEFAULT_PATH)
+
+# Create a symlink on install
+macro(install_symlink _to _from)
+  install(CODE "
+    message(STATUS \"Creating symlink '${_to}' at \$ENV{DESTDIR}${_from}\")
+    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${_to} \"\$ENV{DESTDIR}${_from}\" )
+    ")
+  # remove symlink on uninstall
+  uninstall_file("${_from}" NO_CHECK)
+endmacro(install_symlink)
 
 # This macro can install docbook files and images from the current directory to the
 # correct location for KDE Helpcenter files.  If meinproc and the stylesheets are available,
@@ -28,7 +38,7 @@
   install(FILES ${_docbooks} ${_images} DESTINATION ${_installdir})
   
   # make the ../common symlink
-  install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../common \"\$ENV{DESTDIR}${_installdir}/common\" )")
+  install_symlink("../common" "${_installdir}/common")
   
   # if meinproc and the default style sheets are found, install a cached help file
   if(KDE4_MEINPROC_EXECUTABLE AND KDE4_XSL_STYLESHEET)

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -80,9 +80,43 @@
   list(APPEND all_pngs ${_outp})
 endmacro(lilypond_png_image)
 
+# convert a ly file to a fixed size icon without cropping it
+# and then scaling it down to size.
+macro(lilypond_png_text_icon _lyfile _size)
+  lilypond_deps(_deps ${_lyfile})
+  get_filename_component(_base ${_lyfile} NAME_WE)
+  set(_outp "${CMAKE_CURRENT_BINARY_DIR}/${_base}.png")
+  add_custom_command(
+    OUTPUT ${_outp}
+    DEPENDS ${_deps}
+    COMMAND ${LILYPOND_EXECUTABLE}
+        -ddelete-intermediate-files
+        --png -dpixmap-format=pngalpha
+        -dresolution=300
+        -o "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}"
+        "${_lyfile}"
+    COMMAND ${CONVERT_EXECUTABLE}
+        "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
+        -resize ${_size} -unsharp 0x1
+        "${_outp}"
+    COMMAND ${CMAKE_COMMAND} -E remove "${CMAKE_CURRENT_BINARY_DIR}/temp_${_base}.png"
+    VERBATIM
+  )
+  list(APPEND all_pngs ${_outp})
+endmacro(lilypond_png_text_icon)
 
 # Make icons for articulations and notes etc. at 22px
-file(GLOB lilypond_files articulation_*.ly note_*.ly time_*.ly bar_*.ly)
+file(GLOB lilypond_files
+  arpeggio_*.ly
+  articulation_*.ly
+  bar_*.ly
+  breathe_*.ly
+  glissando_*.ly
+  note_*.ly
+  slur_*.ly
+  spanner_*.ly
+  time_*.ly
+)
 foreach(_ly ${lilypond_files})
   lilypond_png_icon(${_ly} 22)
 endforeach(_ly ${lilypond_files})
@@ -99,6 +133,13 @@
   lilypond_png_image(${_ly})
 endforeach(_ly ${lilypond_files})
 
-# Build and install all LilyPond-generaged pictures
+# Text icons for dynamics
+file(GLOB lilypond_files dynamic_*.ly)
+foreach(_ly ${lilypond_files})
+  lilypond_png_text_icon(${_ly} 22)
+endforeach(_ly ${lilypond_files})
+
+
+# Build and install all LilyPond-generated pictures
 add_custom_target(lilypond_pngs ALL DEPENDS ${all_pngs})
 install(FILES ${all_pngs} DESTINATION ${APP_DIR}/pics)

=== prebuilt/CMakeLists.txt ===
add_subdirectory(pics)
add_subdirectory(po)

=== prebuilt/pics/CMakeLists.txt ===
file(GLOB pngs *.png)
install(FILES ${pngs} DESTINATION ${APP_DIR}/pics)

=== prebuilt/po/CMakeLists.txt ===
file(GLOB mo_files *.mo)
foreach(mo ${mo_files})
  get_filename_component(lang ${mo} NAME_WE)
  install(
    FILES ${mo}
    DESTINATION ${LOCALE_INSTALL_DIR}/${lang}/LC_MESSAGES
    RENAME ${PROJECT_NAME}.mo
  )
endforeach(mo)

=== debian/changelog ===
frescobaldi (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Merge changes from Kubuntu:
    - Drop kdelibs5 from Depends since python-kde4 already depends on
      everything we need.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 18 Jan 2011 16:11:11 -0500

frescobaldi (1.1.8-1) unstable; urgency=low

  * New upstream release
  * Refreshed 02_no_pyc.diff
  * Updated copyright holder's years
  * Updated to dh8
    - Change debian/control
    - Bump debian/compat to 8

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 09 Nov 2010 13:52:15 -0500

frescobaldi (1.1.7-1) unstable; urgency=low

  * New upstream release
  * Drop 03_gnome_icon.diff, applied upstream.
  * Comment out the feature to download 3rd party binaries of lilypond.
    Packages of the stable Lilypond version are generally up to date in Debian
    and we don't want users sending Debian bug reports about broken Lilypond
    installs when their Lilypond installation isn't from Debian.
    Done in 04_no_binary_lilypond_upgrades.diff
  * Turn on DM-Upload-Allowed: yes.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 08 Oct 2010 11:38:53 -0400

frescobaldi (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright and frescobaldi.1 with copyright holders.
  * Add an uncompressed version of frescobaldi.svgz so that GNOME users can
    have an icon, 03_gnome_icon.diff, (Closes: #593297)
  * Drop unneeded Build-Dependencies, upstream now provides pregenerated
    images. This means we no longer need lilypond to generate them. We also
    patched out the checks for KDE/Qt python modules ages ago, but never
    dropped the B-D.
  * Although section 2.3 of the Python Policy is for modules, we'll switch to
    X-Python-Version from XS-Python-Version since it recommends it.
  * The 1.1 series requires python >= 2.6, bumped pyversions / X-Python-Version
  * Update the long description with new upstream translation languages
  * Place the I-B-D and Depends each on their own line so that it's easier to
    see which packages have been added or removed in debdiffs/SVN diffs.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 19 Aug 2010 10:24:19 -0400

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,28 @@
 Priority: optional
 Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python (>= 2.5), python-support (>= 0.8.7), 
- python-qt4 (>= 4.4.4), python-sip4 (>= 4.7.9), python-dbus, 
- python-kde4-dev (>= 4:4.2.2), python-qt4-dbus, lilypond, 
- ghostscript, imagemagick, kdelibs-bin (>= 4:4.2.2), cmake
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python (>= 2.6),
+ python-support (>= 0.8.7),
+ cmake,
+ kdelibs-bin (>= 4:4.2.2)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: http://www.frescobaldi.org/
+DM-Upload-Allowed: yes
 
 Package: frescobaldi
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-qt4, python-kde4 (>= 4:4.0.2), 
- python-dbus, lilypond, okular, kdebase-bin (>= 4.2.1), kdelibs5 (>= 4.2.1), 
+Depends: ${misc:Depends},
+ ${python:Depends},
+ python-qt4,
+ python-kde4 (>= 4:4.0.2),
+ python-dbus,
+ lilypond,
+ okular,
+ kdebase-bin (>= 4.2.1),
  python-qt4-dbus
 Suggests: rumor, timidity, alsa-utils, lilypond-doc
 Description: LilyPond sheet music editor for KDE4
@@ -44,6 +51,6 @@
   * LilyPond documentation browser with context sensitive lookup
   * User Guide with help buttons (F1) everywhere
   * Translated into Dutch, English, French, German, Italian, Czech, Russian,
-    Spanish, Turkish and Polish
+    Spanish, Galician, Turkish and Polish
  .
  Frescobaldi is the KDE4 successor of LilyKDE, a Kate plugin for KDE3.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=downloadurlmangle=s#.*name=(frescobaldi-(.*)\.tar\.gz).*#http://lilykde.googlecode.com/files/$1#,filenamemangle=s#.*(frescobaldi-(.*)\.tar\.gz).*#$1# \
     http://code.google.com/p/lilykde/downloads/list \
     detail\?name=frescobaldi-(.*)\.tar\.gz.*

## frescobaldi 2.0.0

=== frescobaldi_app/po/Makefile ===
# Makefile that builds the MO files

# The python interpreter
PYTHON = python

potfile = ../../frescobaldi.pot

pofiles = $(wildcard *.po)
mofiles = $(patsubst %.po,%.mo,$(pofiles))


all: $(mofiles)


$(pofiles): $(potfile)
	msgmerge -U $@ $<

$(mofiles): %.mo: %.po
	msgfmt -o $@ $<
	$(PYTHON) molint.py $@

=== debian/changelog ===
frescobaldi (2.0.0-1) unstable; urgency=low

  * New upstream release 
  * Drop the following uneeded patches:
    + 01_checkmodules_no_python-kde4_build-dep.diff
    + 02_no_pyc.diff
    + 04_no_binary_lilypond_upgrades.diff
  * Needs new dependency python-poppler-qt4
  * Update debian/watch for new download path
  * Update copyright file with new holders and years

 -- Ryan Kavanagh <rak@debian.org>  Tue, 03 Jan 2012 16:20:11 -0500

frescobaldi (1.2.0-2) unstable; urgency=low

  * Bump standards vertion to 3.9.2
  * Switch to dh_python2
  * Use default version of Python (Closes: #649259)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 24 Nov 2011 18:53:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: frescobaldi
 Section: editors
 Priority: optional
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: python (>= 2.6),
- python-support (>= 0.8.7),
+Build-Depends-Indep: python (>= 2.6.6-3~),
  cmake,
  kdelibs-bin (>= 4:4.2.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.6
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
-X-Python-Version: >= 2.6
 Homepage: http://www.frescobaldi.org/
 DM-Upload-Allowed: yes
 
@@ -20,13 +19,10 @@
 Depends: ${misc:Depends},
  ${python:Depends},
  python-qt4,
- python-kde4 (>= 4:4.0.2),
- python-dbus,
- lilypond,
- okular,
- kdebase-bin (>= 4.2.1),
- python-qt4-dbus
-Suggests: rumor, timidity, alsa-utils, lilypond-doc
+ python-poppler-qt4,
+ lilypond
+Recommends: python-pypm
+Suggests: lilypond-doc
 Description: LilyPond sheet music editor for KDE4
  Frescobaldi is a LilyPond sheet music editor for KDE4, with the following
  features:

=== debian/watch ===
version=3
opts="filenamemangle=s@.*/v@frescobaldi-@" \
http://githubredir.debian.net/github/wbsoft/frescobaldi .*/v(.*).tar.gz

## frescobaldi 2.0.5%2Bds1

=== debian/changelog ===
frescobaldi (2.0.5+ds1-1) unstable; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
  * Suggest hyphen-hyphenation-patterns
  * Add depends on icon-theme-tango
  * Update watch file to deal with mangled version number
  * Updated copyright file with new copyright holders and years
  * Update long and short descriptions (Closes: #661322)
  * Drop unneeded B-D on cmake, kdelibs-bin
  * Move python-pypm from Recommends to Depends
  * Drop DM-Upload-Allowed: yes from control
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Thu, 26 Apr 2012 21:45:21 -0400

## frescobaldi 2.0.5+ds1

=== frescobaldi_app/ly/data/Makefile ===
# MakeFile

# Which LilyPond executable to use
LILYPOND=~/lilypond_bin/2.14.1-1/bin/lilypond

_data.py: getdata.ly
	$(LILYPOND) -dno-print-pages $< > $@

=== debian/control ===
Source: frescobaldi
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
Homepage: http://www.frescobaldi.org/

Package: frescobaldi
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 lilypond,
 python-poppler-qt4,
 python-qt4,
 python-pypm,
 tango-icon-theme
Suggests: lilypond-doc, hyphen-hyphenation-patterns
Description: Qt4 LilyPond sheet music editor
 Frescobaldi is a LilyPond sheet music editor, with the following features:
  * Enter LilyPond scores, then build and preview them with a mouseclick
  * Powerful text editor with syntax highlighting and automatic completion
  * Point-and-click support: click on notes or on error messages to jump to the
    corresponding position in the LilyPond file
  * Midi player to proof-listen LilyPond-generated MIDI files
  * Powerful Score Wizard to quickly setup a music score
  * Snippet Manager to store and apply text snippets, templates or scripts
  * Use multiple versions of LilyPond, automatically selects the correct version
  * Built-in LilyPond documentation browser and built-in Frescobaldi User Guide
  * Translated into Dutch, English, French, German, Italian, Czech, Russian,
    Spanish, Galician, Turkish and Polish
 Frescobaldi also includes the following music functions:
  * Transpose music
  * Change music from relative to absolute and vice versa
  * Change the language used for note names
  * Change the rhythm (double, halve, add/remove dots, copy, paste) etc
  * Hyphenate lyrics using word-processor hyphenation dictionaries
  * Add spanners, dynamics, articulation easily using the Quick Insert panel
  * Update LilyPond syntax using convert-ly, with display of differences
 .
 In order to use lyric hyphenation, please install your languages' appropriate
 hyphenation packages, e.g. hyphen-fr for French, hyphen-ca for Catalan, etc.
 .
 Frescobaldi is the Qt4 successor of LilyKDE, a Kate plugin for KDE3.

## frescobaldi 2.0.8+ds1

=== debian/changelog ===
frescobaldi (2.0.8+ds1-1) experimental; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source

 -- Ryan Kavanagh <rak@debian.org>  Tue, 12 Feb 2013 12:30:16 -0500

## frescobaldi 2.0.10+ds1

=== debian/changelog ===
frescobaldi (2.0.10+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ryan Kavanagh ]
  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
    + Update the copyright holders file
  * Upload to unstable now that wheezy is released
  * Bumped standards version to 3.9.4
  * Bumped debhelper build-dependency to (>= 9) and set compat to 9
  * Updated the long-outdated manpage
  * Fix encoding of Last-Translator field in pt_BR.po,
    01_double_encode_translator.diff (Closes: #684201)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 26 May 2013 22:26:03 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/frescobaldi/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/frescobaldi/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
 Homepage: http://www.frescobaldi.org/
 
 Package: frescobaldi

## frescobaldi 2.0.13%2Bds1

=== debian/watch ===
version=3
opts="filenamemangle=s@.*/v@frescobaldi-@,dversionmangle=s@\+ds\d+$@@g" \
http://githubredir.debian.net/github/wbsoft/frescobaldi .*/v(.*).tar.gz

## frescobaldi 2.0.13+ds1

=== frescobaldi_app/po/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # The python interpreter
 PYTHON = python
 
-potfile = ../../frescobaldi.pot
+potfile = frescobaldi.pot
 
 pofiles = $(wildcard *.po)
 mofiles = $(patsubst %.po,%.mo,$(pofiles))

=== frescobaldi_app/symbols/Makefile ===
# Makefile

# Which LilyPond executable to use
LILYPOND=~/lilypond_bin/2.14.0-1/bin/lilypond

# Make .svg files from .ly files
lys = $(wildcard *.ly)
svgs = $(patsubst %.ly,%.svg,$(lys))

all: $(svgs)

$(svgs): %.svg: %.ly
	$(LILYPOND) -dbackend=svg -ddelete-intermediate-files $<

# Make some lilypond images also depend on the files they include
$(patsubst %.ly,%.svg,$(wildcard arpeggio_*.ly)): arpeggio_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard articulation_*.ly)): articulation_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard bar_*.ly)): bar_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard breathe_*.ly)): breathe_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard clef_*.ly)): clef_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard dynamic_*.ly)): dynamic_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard glissando_*.ly)): glissando_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard note_*.ly)): note_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard spanner_*.ly)): spanner_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard system_start_*.ly)): system_start_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard time_*.ly)): time_defaults.ily

# Other dependencies
arpeggio_defaults.ily: icon_defaults.ily
articulation_defaults.ily: icon_defaults.ily
bar_defaults.ily: icon_defaults.ily
breathe_defaults.ily: icon_defaults.ily
clef_defaults.ily: icon_defaults.ily
dynamic_defaults.ily: icon_defaults.ily
glissando_defaults.ily: icon_defaults.ily
note_defaults.ily: icon_defaults.ily
spanner_defaults.ily: icon_defaults.ily
system_start_defaults.ily: icon_defaults.ily
time_defaults.ily: icon_defaults.ily

.PHONY: all

=== frescobaldi_app/ly/data/Makefile ===
# MakeFile

# Which LilyPond executable to use
LILYPOND=~/lilypond_bin/2.14.1-1/bin/lilypond

_lilypond_data.py: getdata.ly
	$(LILYPOND) -dno-print-pages $< > $@

=== debian/changelog ===
frescobaldi (2.0.13+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix a typo in README.source.

  [ Anthony Fok ]
  * New upstream release (Closes: #729688)
  * Bump Standards-Version to 3.9.5
  * Upstream has applied 01_double_encode_translator.diff to correct
    encoding in pt_BR.po for Frescobaldi 2.0.11, removing Debian patch
  * Update debian/copyright, adding Urs Liska to the list of contributors
  * Add myself to the Uploaders field (Thanks, Ryan!)

 -- Anthony Fok <foka@debian.org>  Sun, 19 Jan 2014 09:19:48 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+ Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
  python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/

## frescobaldi 2.17.2+ds1

=== debian/changelog ===
frescobaldi (2.17.2+ds1-1) unstable; urgency=medium

  * New upstream release:
      2.17.2 fixes one annoying bug that could pop up when compiling a
      LilyPond file (AttributeError: 'unicode' object has no attribute
      'insert', issue #543 in our bug tracker), and provides updated
      translations for Italian, Dutch and French.
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 25 Jan 2015 02:45:34 -0700

frescobaldi (2.17.1+ds1-1) unstable; urgency=medium

  * New upstream release.  Merry Christmas!  :-)
  * Remove Chinese l10n patch because it is already in upstream.
  * Bump Python requirement from 2.6+ to 2.7+.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Dec 2014 04:03:12 -0700

frescobaldi (2.0.16+ds1-1) unstable; urgency=low

  * New upstream release.
  * Add my initial skeletal Chinese l10n. Hope more people can help!
  * Reinclude some hyphenation dictionaries, namely cs_CZ, da_DK, el_GR,
    es_ES, fi_FI, ga_IE, id_ID, is_IS, nl_NL, pt_BR, pt_PT, sk_SK, sv_SE,
    and uk_UA, which are otherwise unavailable in any current Debian
    hyphen-* packages.
  * debian/copyright: Convert to the machine-readable format v1.0
    with corrections, and add Files-Excluded field.
  * debian/watch: Direct URL to GitHub, and use new repacksuffix option.
  * debian/rules: New get-orig-source target to run "uscan --repack"
  * debian/cleanup.sh: Add obsolescence message and exit.
  * debian/README.source: Document the switch to "uscan --repack".
  * debian/control:
     - Bump Standards-Version to 3.9.6
     - Add Build-Depends: dh-python
     - Add a linebreak in the package description

 -- Anthony Fok <foka@debian.org>  Sun, 21 Dec 2014 05:22:13 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
  Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
- python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+ dh-python,
+ python (>= 2.7)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
 Homepage: http://www.frescobaldi.org/
@@ -35,6 +36,7 @@
   * Built-in LilyPond documentation browser and built-in Frescobaldi User Guide
   * Translated into Dutch, English, French, German, Italian, Czech, Russian,
     Spanish, Galician, Turkish and Polish
+ .
  Frescobaldi also includes the following music functions:
   * Transpose music
   * Change music from relative to absolute and vice versa

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

.PHONY: get-orig-source
get-orig-source:
	XZ_OPT=-e uscan --noconf --verbose --destdir=$(CURDIR) \
	                --repack --compression xz

.DEFAULT_GOAL :=

## frescobaldi 2.18.1%2Bds1

=== debian/watch ===
version=3
opts="repacksuffix=+ds1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/frescobaldi-$1\.tar\.gz/,dversionmangle=s/\+ds\d*$//" \
  https://github.com/wbsoft/frescobaldi/tags .*/v?(\d\S*)\.tar\.gz
